MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sc::OverlapOrthog Class Reference

This class computes the orthogonalizing transform for a basis set. More...

`#include <orthog.h>`

Inheritance diagram for sc::OverlapOrthog:
[legend]
Collaboration diagram for sc::OverlapOrthog:
[legend]

## Public Types
enum | OrthogMethod { Symmetric =1, Canonical =2, GramSchmidt =3 }
| An enum for the types of orthogonalization.

## Public Member Functions
| OverlapOrthog (OrthogMethod method, const RefSymmSCMatrix &overlap, const Ref< SCMatrixKit > &result_kit, double lindep_tolerance, int debug=0)
| OverlapOrthog (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | reinit (OrthogMethod method, const RefSymmSCMatrix &overlap, const Ref< SCMatrixKit > &result_kit, double lindep_tolerance, int debug=0)
double | min_orthog_res () const
double | max_orthog_res () const
Ref< OverlapOrthog > | copy () const
OrthogMethod | orthog_method () const
| Returns the orthogonalization method.
double | lindep_tol () const
| Returns the tolerance for linear dependencies.
RefSCMatrix | basis_to_orthog_basis ()
| Returns a matrix which does the requested transform from a basis to an orthogonal basis. More...
RefSCMatrix | basis_to_orthog_basis_inverse ()
| Returns the inverse of the transformation returned by basis_to_orthog_basis.
RefSCDimension | dim ()
RefSCDimension | orthog_dim ()
int | nlindep ()
| Returns the number of linearly dependent functions eliminated from the orthogonal basis.
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)
Protected Member Functions inherited from sc::SavableState
| SavableState (const SavableState &)
| SavableState (StateIn &)
| Each derived class StateIn CTOR handles the restore corresponding to calling save_object_state, save_vbase_state, and save_data_state listed above. More...

## Detailed Description

This class computes the orthogonalizing transform for a basis set.

## Member Function Documentation

RefSCMatrix sc::OverlapOrthog::basis_to_orthog_basis | ( |  | ) |

Returns a matrix which does the requested transform from a basis to an orthogonal basis.

This could be either the symmetric or canonical orthogonalization matrix. The row dimension is the basis dimension and the column dimension is orthogonal basis dimension. An operator in the orthogonal basis is given by where is the return value of this function.

void sc::OverlapOrthog::save_data_state | ( | StateOut & |  | ) |
| virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- orthog.h